Subject: bug#13332: [PATCH] unbreak Emacs on Linux/M68K

From: Paul Eggert <[email-masked]>
Date: Tue, 01 Jan 2013 19:12:46 -0800

This part of Emacs has changed in the trunk -- there's no longer
an m/m68k.h file.  But more important, can you explain more why the
patch is needed, and how it works?  First, Emacs shouldn't require
any particular alignment for EMACS_INT: the alignment requirements
are on the larger objects that Emacs allocates, not on EMACS_INT
per se.  Second, even if there's a bug in Emacs where it's
incorrectly assuming that EMACS_INT is aligned, I would expect it
to require an alignment of 8, not of 4, since Emacs uses 3 tag
bits, not 2.